Syncfusion AI Assistant

How can I help you?

Precision Modes in React Rating Component

21 Feb 20264 minutes to read

Set the precision property to provide ratings with varying levels of precision.

The Rating component supports the following precision types:

  • Full: The rating is increased in whole number increments. For example, if the current rating is 2, the next possible ratings are 3, 4, and so on.
  • Half: The rating is increased in increments of 0.5 (half). For example, if the current rating is 2.5, the next possible ratings are 3, 3.5, 4, and so on.
  • Quarter: The rating is increased in increments of 0.25 (quarter). For example, if the current rating is 3.75, the next possible ratings are 4, 4.25, 4.5, and so on.
  • Exact: The rating is increased in increments of 0.1. For example, if the current rating is 3.9, the next possible ratings are 4, 4.1, 4.2, and so on.
// Import the Rating.
import { RatingComponent, PrecisionType } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
// To render Rating.
function App() {
    return (<div className='wrap'>
            <label>Full Precision</label><br />
            <RatingComponent id='rating1' value={3} precision={PrecisionType.Full}></RatingComponent><br />
            <label>Half Precision</label><br />
            <RatingComponent id='rating2' value={2.5} precision={PrecisionType.Half}></RatingComponent><br />
            <label>Quarter Precision</label><br />
            <RatingComponent id='rating3' value={3.75} precision={PrecisionType.Quarter}></RatingComponent><br />
            <label>Exact Precision</label><br />
            <RatingComponent id='rating4' value={2.3} precision={PrecisionType.Exact}></RatingComponent><br />
        </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('element'));
// Import the Rating.
import { RatingComponent, PrecisionType } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

// To render Rating.
function App() {
  
    return (
        <div className='wrap'>
            <label>Full Precision</label><br/>
            <RatingComponent id='rating1' value={3} precision= {PrecisionType.Full} ></RatingComponent><br/>
            <label>Half Precision</label><br/>
            <RatingComponent id='rating2' value={2.5} precision= {PrecisionType.Half} ></RatingComponent><br/>
            <label>Quarter Precision</label><br/>
            <RatingComponent id='rating3' value={3.75} precision= {PrecisionType.Quarter} ></RatingComponent><br/>
            <label>Exact Precision</label><br/>
            <RatingComponent id='rating4' value={2.3} precision= {PrecisionType.Exact} ></RatingComponent><br/>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('element'));

Syncfusion AI Assistant

How can I help you?

Precision modes in Vue Rating component

25 May 20244 minutes to read

You can use the precision property of the rating component to provide ratings with varying levels of precision.

The precision types of Rating are as follows:

  • Full: The rating is increased in whole number increments. For example, if the current rating is 2, the next possible ratings are 3, 4, and so on.
  • Half: The rating is increased in increments of 0.5 (half). For example, if the current rating is 2.5, the next possible ratings are 3, 3.5, 4, and so on.
  • Quarter: The rating is increased in increments of 0.25 (quarter). For example, if the current rating is 3.75, the next possible ratings are 4, 4.25, 4.5, and so on.
  • Exact: The rating is increased in increments of 0.1. For example, if the current rating is 3.9, the next possible ratings are 4, 4.1, 4.2, and so on.
<template>
    <div class='wrap'>
        <label>Full Precision</label><br/>
        <ejs-rating id="rating1" value="3" precision="Full"></ejs-rating><br/>
        <label>Half Precision</label><br/>
        <ejs-rating id="rating2" value="2.5" precision="Half"></ejs-rating><br/>
        <label>Quarter Precision</label><br/>
        <ejs-rating id="rating3" value="3.75" precision="Quarter"></ejs-rating><br/>
        <label>Exact Precision</label><br/>
        <ejs-rating id="rating4" value="2.3" precision="Exact"></ejs-rating><br/>
    </div>
</template>

<script setup>

import { RatingComponent as EjsRating} from "@syncfusion/ej2-vue-inputs";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';

.wrap {
  margin: 50px auto;
  text-align: center;
}

</style>
<template>
  <div class='wrap'>
    <label>Full Precision</label><br />
    <ejs-rating id="rating1" value="3" precision="Full"></ejs-rating><br />
    <label>Half Precision</label><br />
    <ejs-rating id="rating2" value="2.5" precision="Half"></ejs-rating><br />
    <label>Quarter Precision</label><br />
    <ejs-rating id="rating3" value="3.75" precision="Quarter"></ejs-rating><br />
    <label>Exact Precision</label><br />
    <ejs-rating id="rating4" value="2.3" precision="Exact"></ejs-rating><br />
  </div>
</template>

<script>

import { RatingComponent } from "@syncfusion/ej2-vue-inputs";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

export default {
  name: "App",
  components: {
    "ejs-rating": RatingComponent
  },
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';

.wrap {
  margin: 50px auto;
  text-align: center;
}
</style>

Syncfusion AI Assistant

How can I help you?

Precision Modes in Angular Rating Component

26 Feb 20262 minutes to read

The precision property allows you to control the granularity at which users can rate. Choose from the following precision modes:

  • Full: Ratings increment by 1.0 (whole numbers only). Example: 1, 2, 3, 4, 5.
  • Half: Ratings increment by 0.5 (half-step precision). Example: 1, 1.5, 2, 2.5, 3.
  • Quarter: Ratings increment by 0.25 (quarter-step precision). Example: 1, 1.25, 1.5, 1.75, 2.
  • Exact: Ratings increment by 0.1 (fine-grain precision). Example: 1, 1.1, 1.2, 1.3, 1.4.
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule } from '@angular/forms'
import { RatingModule } from '@syncfusion/ej2-angular-inputs'
import { enableRipple } from '@syncfusion/ej2-base'

import { Component } from '@angular/core';
 
@Component({
imports: [
         FormsModule, RatingModule
    ],


standalone: true,
  selector: 'app-root',
  template: `<!-- To Render Rating component. -->
                <div class="wrap">
                    <Label>Full Precision</Label><br />
                    <input ejs-rating id="rating1" precision="Full" value="3"  /><br />
                    <Label>Half Precision</Label><br />
                    <input ejs-rating id="rating2" precision="Half" value="2.5" /><br />
                    <Label>Quarter Precision</Label><br />
                    <input ejs-rating id="rating3" precision="Quarter" value="3.75" /><br />
                    <Label>Exact Precision</Label><br />
                    <input ejs-rating id="rating4" precision="Exact" value="2.3" /><br />
                </div>`
})

export class AppComponent { }
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));